List published updates
curl --request GET \
--url https://api.getmonitor.io/api/v1/public/status-pages/{id}/updatesimport requests
url = "https://api.getmonitor.io/api/v1/public/status-pages/{id}/updates"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.getmonitor.io/api/v1/public/status-pages/{id}/updates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "g130iubq9uifopmsg2ewdzvf",
"statusPageId": "ue36sb5hjehntxcd7iau14cz",
"responseIncidentId": null,
"title": "Elevated API errors",
"body": "The issue is resolved.",
"state": "published",
"updateType": "incident",
"impact": "none",
"publishedAt": "2026-09-27T14:20:37.079Z",
"createdByUserId": "u7Kp2Qm9Xa4Lr8Tn1Vb6Zc3Wd5Ye0Hf",
"createdAt": "2026-09-27T14:20:35.280Z",
"updatedAt": "2026-09-27T14:20:37.080Z"
}
],
"total": 1,
"page": 1,
"limit": 5,
"hasMore": false
}{
"message": "Monitor not found",
"error": "Not Found",
"statusCode": 404
}Status Pages
List published updates
Published updates shown on the page. Drafts are excluded.
Authentication: No authentication. Anyone can call this endpoint.
GET
/
api
/
v1
/
public
/
status-pages
/
{id}
/
updates
List published updates
Path Parameters
Status page ID.
Query Parameters
Page number, from 1.
Required range:
x >= 1Page size.
Required range:
x >= 1